<?php
	$nr_produse_listate = '12';
	$nr_pagini = '20';	
// ===== start paginare produse magazin =====	
if($_GET['mag'] != '' and $_GET['produs'] == ''){

	$sql = mysql_query("SELECT * FROM produse where vanzator = '".$_GET['mag'] ."' ");
		$rows = mysql_num_rows($sql);	
		$limita_pag = round(($rows/$nr_produse_listate)-1);
		
if ($_GET['pag'] >= '228'){$nr = (($_GET['pag']/$nr_produse_listate)-10); $nr_max = (($_GET['pag']/$nr_produse_listate)+10);}else{$nr = '2'; $nr_max = $nr_pagini;}	
if ($nr_max > $limita_pag){$nr_max = $limita_pag;}

			echo '<div id="paginare">';
			echo '<b><a href="index.php?mag='.$_GET['mag'].'">1 << </a></b>';	

				for ($nr; $nr<=$nr_max; ++$nr) {
if($nr == ($_GET['pag']/$nr_produse_listate)) 
	{$chenar = 'style="border : #000000 solid thin; padding: 2px;"';}	
		else
	{$chenar = 'style="border : #ffffff solid thin;"';}		

							echo '<a '.$chenar.' href="index.php?mag='.$_GET['mag'].'&pag='.($nr*$nr_produse_listate).' ">'.$nr.'</a> ';

				}

			echo '<b><a href="index.php?mag='.$_GET['mag'].'&pag='.($limita_pag*$nr_produse_listate).' "> >> '.$limita_pag.'</a></b>';	
			echo '</div>';
}
// ===== end paginare produse magazin =====

// ===== start paginare produse cautare =====	
if($_GET['cauta'] != ''  and $_GET['produs'] == ''){ 

$sql = mysql_query("SELECT * FROM produse where title like '%".$cauta."%' order by ".$_SESSION['ordonare']." ");
		$rows = mysql_num_rows($sql);	
		$limita_pag = round(($rows/$nr_produse_listate)-1);
		
if ($_GET['pag'] >= '228'){$nr = (($_GET['pag']/$nr_produse_listate)-10); $nr_max = (($_GET['pag']/$nr_produse_listate)+10);}else{$nr = '2'; $nr_max = $nr_pagini;}	
if ($nr_max > $limita_pag){$nr_max = $limita_pag;}

			echo '<div id="paginare">';
				echo '<a href="index.php?cauta='.$_GET['cauta'].'">1 << </a>';	

				for ($nr; $nr<=$nr_max; ++$nr) {
if($nr == ($_GET['pag']/$nr_produse_listate)) 
	{$chenar = 'style="border : #000000 solid thin; padding: 2px;"';}	 
		else
	{$chenar = 'style="border : #ffffff solid thin;"';}		

							echo '<a '.$chenar.' href="index.php?cauta='.$_GET['cauta'].'&pag='.($nr*$nr_produse_listate).' ">'.$nr.'</a> ';

				}

			echo '<a href="index.php?cauta='.$_GET['cauta'].'&pag='.($limita_pag*$nr_produse_listate).' "> >> '.$limita_pag.'</a>';	
			echo '</div>';
}
// ===== end paginare produse cautare =====
?>